import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ValidationErrors, ValidatorFn } from '@angular/forms';
import { VonFormValidationBase } from './von-form-validation.base';
export declare class VonFormValidationDirective extends VonFormValidationBase implements OnInit {
    protected element: ElementRef;
    protected renderer: Renderer2;
    protected wrapperEl: HTMLElement;
    protected messageEl: HTMLElement;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    executeValidationEvent: () => void;
    protected getCustomValidators: (formValue: any) => ValidationErrors;
    protected validateRequired: ValidatorFn;
    protected validateEqualTo: ValidatorFn;
}
